Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 145858 - no formatting for fortran
no formatting for fortran
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
5.x
All All
: P3 (vote)
: 6.x
Assigned To: Alexander Simon
issues@cnd
formatting, fortran, WILLFIX, 61fixes...
:
Depends on: 136699
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-02 08:23 UTC by Alexander Simon
Modified: 2008-12-09 13:37 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2008-09-02 08:23:44 UTC
With regards to the escalation we have backported issue 136699, however this
is only a partial fix from the customers view point. CR# 6737403 deals with
the menu i.e.  Main menu: Source/Reformat Code is broken. The customer is
requesting a fix for this issue as well, your assistance is appreciated.
Comment 1 Alexander Simon 2008-09-02 08:30:57 UTC
Note: I set target milestone 6.5 but issue doesn't  have intention to implement full format feature.
Only restore simple formatting that apply indent to each line of code (this feature was before).
Comment 2 Alexander Simon 2008-09-02 09:25:38 UTC
fixed, change set:
http://hg.netbeans.org/main/rev/541690745d7e

Additionally were added comment/uncomment/toggle comment actions
Comment 3 Quality Engineering 2008-09-02 17:24:41 UTC
Integrated into 'main-golden', will be available in build *200809021401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/541690745d7e
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed: IZ#145858:no formatting for fortran
Comment 4 Karthikeyan Rajeswaran 2008-09-17 00:45:39 UTC
The fix has been backported to release551_fixes branch:

Checking in FFormatSupport.java;
/cvs/cnd/core/src/org/netbeans/modules/cnd/editor/fortran/Attic/FFormatSupport.java,v  <--  FFormatSupport.java
new revision: 1.1.2.3.6.1; previous revision: 1.1.2.3
done
Checking in FFormatter.java;
/cvs/cnd/core/src/org/netbeans/modules/cnd/editor/fortran/Attic/FFormatter.java,v  <--  FFormatter.java
new revision: 1.1.2.3.6.1; previous revision: 1.1.2.3
done
Checking in FKit.java;
/cvs/cnd/core/src/org/netbeans/modules/cnd/editor/fortran/Attic/FKit.java,v  <--  FKit.java
new revision: 1.1.2.2.6.1; previous revision: 1.1.2.2
done
Comment 5 Alexander Pepin 2008-09-24 14:38:04 UTC
verified in NB6.5 build 20080924
Comment 6 Karthikeyan Rajeswaran 2008-10-01 18:52:25 UTC
The fix has been ported into the release61_fixes repository.
http://hg.netbeans.org/release61_fixes/rev/0ce771bf3f24
Comment 7 Alexander Pepin 2008-10-08 14:18:49 UTC
verified in patch4
Comment 8 Karthikeyan Rajeswaran 2008-10-08 18:08:02 UTC
The fix for 147688 , 147689, 136699 and 145858 have been backported to release601_fixes branch.

For details, please refer to:
   ------- Additional comments from krajeswaran Wed Oct 8 17:00:03 +0000 2008 -------
in issue 147688
Comment 9 Alexander Pepin 2008-11-11 14:53:19 UTC
verified in 5.5.1 with manually installed nbms from PromoG1Patch4
 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo